Adobe AIR for Mac <= 4.0.0.1628 多個弱點 (APSB14-09)

critical Nessus Plugin ID 73434

Synopsis

遠端 Mac OS X 主機包含一個受到多個弱點影響的 Adobe AIR 版本。

描述

根據其版本,遠端 Mac OS X 主機上之 Adobe AIR 的執行個體為 4.0.0.1628 或更舊版本。因此,據報會受到下列弱點影響:

- 存在釋放後使用錯誤,可導致任意程式碼執行。(CVE-2014-0506)

- 存在一個緩衝區溢位錯誤,可導致任意程式碼執行。(CVE-2014-0507)

- 存在一個不明錯誤,可允許安全性繞過,進而導致資訊洩漏。
(CVE-2014-0508)

- 存在不明錯誤,可導致跨網站指令碼攻擊。(CVE-2014-0509)

解決方案

升級至 Adobe AIR 13.0.0.83 或更新版本。

另請參閱

https://helpx.adobe.com/security/products/flash-player/apsb14-09.html

Plugin 詳細資訊

嚴重性: Critical

ID: 73434

檔案名稱: macosx_adobe_air_13_0_0_83.nasl

版本: 1.9

類型: local

代理程式: macosx

已發布: 2014/4/9

已更新: 2019/11/26

支持的傳感器: Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: Critical

基本分數: 10

時間分數: 7.4

媒介: AV:N/AC:L/Au:N/C:C/I:C/A:C

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2014-0506

弱點資訊

CPE: cpe:/a:adobe:air

必要的 KB 項目: MacOSX/Adobe_AIR/Version

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2014/4/8

弱點發布日期: 2014/3/27

參考資訊

CVE: CVE-2014-0506, CVE-2014-0507, CVE-2014-0508, CVE-2014-0509

BID: 66208, 66699, 66701, 66703

CWE: 20, 74, 79, 442, 629, 711, 712, 722, 725, 750, 751, 800, 801, 809, 811, 864, 900, 928, 931, 990